%define ming_php	1
%define ming_python	1
%define ming_perl	1
%define ming_tcl	1
%define ming_fonts	1

Summary: Ming dynamic Flash extension
License: LGPL
%define name ming
%define version 0.4.0.beta5
%define release 1np
Name: %{name}
Version: %{version}
Release: %{release}
Group: System Environment/Libraries
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}-fonts-1.00.tar.bz2
# JGenerator CVS SourceFile not included in JGenerator Dist File
# Fixed Source
Source2: ttf2fft.tar.gz
Source3: ming.ini
Url: http://www.libming.net
BuildRoot: /var/tmp/%{name}-buildroot/
BuildRequires: libungif, libpng, freetype >= 2.1

%description

This is PHP-extension lets you create Flash 4 output, using the "Ming"
library.

You need to have the "ming" package installed on your system before
you install this package.

For more information about Ming: http://www.opaque.net/ming/

%if %{ming_php}
%package -n ming-php
Summary: PHP Ming Library
Group: System Environment/Libraries
Prereq: ming = %{version}-%{release}
Requires: php-devel

%description -n ming-php
ming php library
%endif

%if %{ming_perl}
%package -n ming-perl
Summary: Perl Ming Library
Group: System Environment/Libraries
Prereq: ming = %{version}-%{release}
Requires: perl

%description -n ming-perl
ming perl library
%endif

%if %{ming_tcl}
%package -n ming-tcl
Summary: TCL Ming Extension Library
Group: System Environment/Libraries
Prereq: ming = %{version}-%{release}
Requires: tcl

%description -n ming-tcl
ming tcl library
%endif

%if %{ming_python}
%package -n ming-python
Summary: Python Ming Library
Group: System Environment/Libraries
Prereq: ming = %{version}-%{release}
Requires: python

%description -n ming-python
ming python library
%endif

%if %{ming_fonts}
%package -n ming-fonts
Summary: Font for ming library
Group: System Environment/Libraries
Prereq: ming, fonts-korean

%description -n ming-fonts
ming fdb font files
%endif

%prep
%setup -q -n %{name}-%{version}

%configure \
%if %{ming_php}
		--enable-php \
%endif
%if %{ming_perl}
		--enable-perl \
%endif
%if %{ming_python}
		--enable-python \
%endif
%if %{ming_tcl}
		--enable-tcl \
%endif
		${CONFIGURE}
make

tar xvfz %{SOURCE2}
pushd ttf2fft
make -f makefile
popd

%if %{ming_fonts}
# Baekmuk TrueType Font to Ming fdb Format font
tar xvfj %{SOURCE1}
cd ming-fonts-1.00/
pushd fdb
for ttf in `ls /usr/share/fonts/korean/TrueType/*.ttf`
do
    BASENAME=`basename $ttf`
    ../../ttf2fft/ttf2fft -e 1 $ttf -o $BASENAME.fft
    ../../util/makefdb $BASENAME.fft 
    mv font0.fdb ./${BASENAME%.ttf}.fdb
    rm -f $BASENAME.fft
done
popd
%endif

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%if %{ming_fonts}
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/ming
install -m755 ./ming-fonts-1.00/fdb/*.fdb $RPM_BUILD_ROOT/usr/share/fonts/ming/
%endif

%if %{ming_php}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/php/modules/
install -m755 ./php_ext/tmp/.libs/ming.so $RPM_BUILD_ROOT/%{_libdir}/php/modules/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/php.d/
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/php.d/
%endif

install -m755 ./ttf2fft/ttf2fft $RPM_BUILD_ROOT/%{_bindir}/ttf2fft
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%if %{ming_tcl}
rm -f $RPM_BUILD_ROOT/%{_libdir}/ming/tcl/*.la
%endif 

%post 
/sbin/ldconfig

%postun 
/sbin/ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_libdir}/libming*
%{_libdir}/pkgconfig/libming.pc
%attr(644,root,root) %{_includedir}/*
%attr(755,root,root) %{_bindir}/*
/usr/share/man/*

%if %{ming_php}
%files -n ming-php
%defattr(-,root,root)
%{_libdir}/php/modules/*
%{_sysconfdir}/php.d/ming.ini
%endif

%if %{ming_perl}
%files -n ming-perl 
%defattr(-,root,root)
%{_libdir}/perl5/*
%endif

%if %{ming_python}
%files -n ming-python
%defattr(-,root,root)
%{_libdir}/python2.5/*
%endif

%if %{ming_tcl}
%files -n ming-tcl
%defattr(-,root,root)
%{_libdir}/ming/tcl/*
%endif

%if %{ming_fonts}
%files -n ming-fonts
%defattr(-,root,root)
/usr/share/fonts/*
%endif

%changelog
* Wed Nov  7 2007 Mr. Kim <???@???.???>
- Version Updated

* Mon May 14 2002 Mr. Kim <???@???.???>
- utf-8 patch for supporting Multibyte wide font.
- ttf2fft add for fdb font generation.

* Sat May 12 2001 Mr. Kim <aporie@netian.com>
- Initial
